Welcome To Wei Qiang's Personal Website
全站内容自由转载-非商用-非衍生-保持署名|魏强的个人网站

宝塔bt面板内phpMyAdmin版本怎么更换升级?

小白发现宝塔bt面板的软件商店里面的phpMyAdmin版本只有4.4版本((⊙﹏⊙)不知道是小白不会看还是怎么滴~~~),但是小白是用PHP7.4版本,这两个之间不兼容,所以要宝塔BT面板里面的phpMyAdmin更换为phpMyAdmin5.2版本(目前2022年8月最新版本),从网上查了好大一阵子,终止查到了小白可以操作的方法:

一、打开“宝塔远程工具SSH”链接上你的服务器ECS(如下图):

在#后面复制下面一段代码:

mkdir tmp_phpmyadmin #create a tmp folder
cd tmp_phpmyadmin
wget -O phpmyadmin.zip https://files.phpmyadmin.net/phpMyAdmin/5.2.0/phpMyAdmin-5.2.0-all-languages.zip
unzip phpmyadmin.zip
rm -rf /www/server/phpmyadmin/phpmyadmin_*/*
\cp -rf phpMyAdmin-5.2.0-all-languages/. /www/server/phpmyadmin/phpmyadmin_*
cd ..
rm -rf tmp_phpmyadmin #delete the tmp folder

即可瞬间自动更新。感觉好像用了不到2秒。。。。。

返回宝塔bt面板软件商店-已安装查看自己的phpMyAdmin版本,看到还是4.4,,额  炯。。。

但是实际上已经升级成功了。验证方法:

通过数据库内“phpMyAdmin”按钮进入数据库后台,就可以看到自己的数据库的版本了。如下图:

赞(0) 打赏
转载请注明www.weiqiangcn.com魏强的个人网站 » 宝塔bt面板内phpMyAdmin版本怎么更换升级?
分享到: 更多 (0)

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

Welcome To Wei Qiang's Presonal Website

圈子专栏